GET /v0/internal/reward-accounting-process/rounds/:round_number/activity-totals
curl --request GET \
--url https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/internal/reward-accounting-process/rounds/{round_number}/activity-totalsimport requests
url = "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/internal/reward-accounting-process/rounds/{round_number}/activity-totals"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/internal/reward-accounting-process/rounds/{round_number}/activity-totals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"round_number": 123,
"total_app_activity_weight": 123,
"active_parties_count": 123,
"activity_records_count": 123,
"total_app_reward_minting_allowance": "<string>",
"total_app_reward_thresholded": "<string>",
"total_app_reward_unclaimed": "<string>",
"rewarded_app_provider_parties_count": 123
}GET /v0/internal/reward-accounting-process/rounds/:round_number/activity-totals
SV node internal API (CIP-0104, subject to change). Return the CIP-0104 per-round activity totals for the specified round number.
GET
/
v0
/
internal
/
reward-accounting-process
/
rounds
/
{round_number}
/
activity-totals
GET /v0/internal/reward-accounting-process/rounds/:round_number/activity-totals
Path Parameters
Response
200 - application/json
ok
- Option 1
- Option 2
- Option 3
The total of all minting allowances granted to app providers in this round.
Total amount of minting allowances that fell below the configured app reward threshold and was thus burned.
Total amount of app rewards which could not be attributed to app providers in this round because of limit on app rewards per activity (aka the app rewards cap).